# Uses of Class
org.apache.sysds.runtime.instructions.cp.BuiltinNaryCPInstruction

Packages that use BuiltinNaryCPInstruction
Package
Description
org.apache.sysds.resource.cost
org.apache.sysds.runtime.instructions.cp

## Uses of BuiltinNaryCPInstruction in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type BuiltinNaryCPInstruction
Modifier and Type
Method
Description
`static double`
CPCostUtils.`getBuiltinNaryInstTime(BuiltinNaryCPInstruction inst, VarStats[] inputs, VarStats output, IOCostUtils.IOMetrics metrics)`

## Uses of BuiltinNaryCPInstruction in org.apache.sysds.runtime.instructions.cp

Subclasses of BuiltinNaryCPInstruction in org.apache.sysds.runtime.instructions.cp
Modifier and Type
Class
Description
`class`
`EinsumCPInstruction`
`class`
`EvalNaryCPInstruction`
Eval built-in function instruction Note: it supports only single matrix[double] output
`class`
`MatrixBuiltinNaryCPInstruction`
`class`
`ScalarBuiltinNaryCPInstruction`
The ScalarBuiltinMultipleCPInstruction class is responsible for printf-style Java-based string formatting.
Methods in org.apache.sysds.runtime.instructions.cp that return BuiltinNaryCPInstruction
Modifier and Type
Method
Description
`static BuiltinNaryCPInstruction`
BuiltinNaryCPInstruction.`parseInstruction(String str)`